require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")





function L加载配置()
	
	g常规设置.屏蔽不打的怪物=L常规配置("常规列表-通用设置-屏蔽不打的怪物")
	if	g常规设置.屏蔽不打的怪物==""	then 
		L屏蔽指定怪物(g屏蔽的怪物)
	else 
		L屏蔽指定怪物(g屏蔽的怪物..g常规设置.屏蔽不打的怪物)
	end



	g常规设置.剧情刷图=L常规配置("常规列表-练级设置-剧情刷图")


	g常规设置.仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-仓库页最大读取页数"))

	g常规设置.公会仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-公会仓库页最大读取页数"))
	g常规设置.进图等待时间=Ltonumber(L常规配置("常规列表-通用设置-进图等待时间"))
	

	g常规设置.购买知识卷轴=Ltonumber(L常规配置("常规列表-商店购物-购买知识卷轴"))
	if g常规设置.购买知识卷轴>80	then 
		g常规设置.购买知识卷轴=80
	end 


	g常规设置.商店赌博_购买部位=L常规配置("常规列表-商店购物-商店赌博_购买部位")
	g常规设置.商店赌博_金币大于=Ltonumber(L常规配置("常规列表-商店购物-商店赌博_金币大于(单位万)"))
	g常规设置.商店赌博_金币保留=Ltonumber(L常规配置("常规列表-商店购物-商店赌博_金币保留(单位万)"))


	g常规设置.不点丰碑=Ltonumber(L常规配置("常规列表-异界设置-不点丰碑"))

	g常规设置.地图不足时商店购买=Ltonumber(L常规配置("常规列表-异界设置-地图不足时商店购买"))

	g常规设置.死亡次数超过进行召唤大号=Ltonumber(L组队配置("组队列表-1-死亡次数超过进行召唤大号"))


	L仓库页最大读取页数(g常规设置.仓库页最大读取页数)
	L公会仓库页最大读取页数(g常规设置.公会仓库页最大读取页数)


	L设置躲避负面状态("溺水")

	--L设置优先攻击对象("Monsters/Breach/Monsters,")--,死亡領主．伊克塔

	L禁用打开好友列表(0)
end

local sz野外地图名称="皆伐"
L加载配置()
local 返回一次藏身处=0
local 使用一次Esc=1

local 间隔十分钟回一次城镇=0
while	To(100)==1		do 
	local 地图Ptr=L地图信息()
	local _缺少地图="缺少地图"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	if 使用一次Esc==1		then 
		LEsc()
		使用一次Esc=0
	end
	L自动邀请公会()
	L进入未知队伍()
	if 地图Ptr.位置==0	 then


		D重置状态()
		L重置指定事件计数(_缺少地图)
		g回城优先存仓一次=0
		L搜索路口()
		L当前地图计时(2)
		if 地图Ptr.地图等级<65		then 
			L返回城镇()
			L信息("当前处于剧情地图.选择回城..")
			goto Next 
	
		end 

	else 
		if 地图Ptr.位置==1		then 
			间隔十分钟回一次城镇=0
			返回一次藏身处=1
			L执行间隔("返回一次城镇间隔",1)
		end 
		if L执行间隔("返回一次城镇间隔",600*1000)==1		then 
			间隔十分钟回一次城镇=1
		end 
		if 地图Ptr.位置==2		then 
			返回一次藏身处=1
		
		elseif 地图Ptr.位置~=0	and	地图Ptr.位置~=2 	and	返回一次藏身处==1	then
			-- body
			L返回藏身处()
			L信息("返回藏身处...")
			goto Next
		end
		-- if L执行间隔("30秒执行一次Esc",30*1000)==1	then 
		-- 	if L可视UI(UI_可视偏移.UI打开NPC框)==1      then 
		-- 		L结束对话()
		-- 	end
		-- 	LEsc()
		-- 	L放下鼠标上的物品()
			
		-- end 
		L打开好友列表(30*1000)

		if Fn_读取仓库信息()==0 then
			-- body
			L信息("当前正在读取仓库信息")
			goto Next
		end

		if g常规设置.公会仓库页最大读取页数>0	and	Fn_读取公会仓库信息()==0 then
			-- body
			L信息("当前正在读取公会仓库信息")
			goto Next
		end
		if g回城优先存仓一次==0 			then --
			if  Fn_处理存仓()==1	then 
				L信息("优先存入符合存仓且不想鉴定的物品...")
				goto Next
			end
		end 
		
		g回城优先存仓一次=1

		-- if Fn_地图鉴定(地图Ptr)==1		then 
		-- 	L信息("鉴定物品...")
		-- 	goto Next
		-- end
		if	Fn_藏身处物品处理()==1			then --
			L信息("藏身处物品处理")
			goto Next
		end
	

		if Fn_购买知识卷轴()==1			then --
			goto Next
		end 
		D重置状态()
		if	 Fn_包满回城()==1			then --
			L信息("需要处理背包...")
			goto Next
		end
		-- if  Fn_自动兑换通货()==1			then --
		-- 	L信息("正在进行通货兑换中...")
		-- 	goto Next
		-- end 

		if L自动收货()==0		then 
			if 间隔十分钟回一次城镇==1		then 
				Fn_传送到指定章节(1,1)

			end 
		end 

		--
	end

--	L设置探索地图(4)

::Next::

end

